# Create a Sigma Query

Create a Sigma query that can be run

## Request

```curl
curl https://api.stripe.com/v1/sigma/saved_queries \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-02-25.preview" \
  --data-urlencode sql="SELECT * FROM balance_transactions LIMIT 5"
```

### Response

```json
{
  "id": "qfl_0R46kn589O8KAxCGtbTjfolP",
  "object": "sigma.sigma_api_query",
  "created": 1742329729,
  "livemode": true,
  "sql": "SELECT * FROM balance_transactions LIMIT 5",
  "name": "Select balance transactions"
}
```

## Returns

Returns the specified Sigma Query object.

## Parameters

- `sql` (string, required)
  The sql statement to be run. This should be a valid Trino SQL statement that can be run in Sigma.

- `name` (string, optional)
  The name of the query. This will be used to identify the query.
